//*****************************************************************************
// Description     : Definitions depends on the user environment
// Target Device   : APV8508, APV8104
// Target Platform : Windows, .NET Framework, C#
// Date            : September 2017
// Version         : 1.0
//*****************************************************************************

//
// Modify the following values according to your environment
//
namespace APV8508_sample
{
	using static Command;

	public static class Defines
	{
		// Maximum count of CH: select from below two defines
		public const int MAX_CHNUM = 8;	// for APV8508
//		public const int MAX_CHNUM = 4;	// for APV8104

		// ADC sampling bits: select from below two defines
		public static ushort SAMPLING = (ushort)GetVal("SAMPLING_14BITS");	// for APV8508-14 or APV8104-14
//		public static ushort SAMPLING = (ushort)GetVal("SAMPLING_12BITS");	// for APV8508-12 or APV8104-12

		// Name of the file where data saved
		public const string SAVE_FILENAME = "hist_data.csv";

		// Measurement time (msec)
		public const uint MEASUREMENT_TIME = 3000;

		// Source port number for command
		public const int DEVICE_PORT_CTRL_OWNPC = 50000;

		// IP address of target device
		public const string IPADDR_DEVICE = "192.168.10.128";

	    // Destination port number for command
		public const int DEVICE_PORT_CTRL_DEVICE = 4660;

		// Port number for data reception
		public const int DEVICE_PORT_DATARECV = 24;
	}
}
